jzecha
Aerospace
- Jan 20, 2016
- 236
Can someone tell me how you reference the Axis Legs of a newly created Axis System?
I am trying to create an Extremum and use the 3 Different Axis Legs of my newly created Axis System, but nothing I have tired is working correctly and I am having no luck finding the correct answer on Google.
I am trying to create an Extremum and use the 3 Different Axis Legs of my newly created Axis System, but nothing I have tired is working correctly and I am having no luck finding the correct answer on Google.
Code:
Dim axisSystems1 As AxisSystems
Set axisSystems1 = oPart.AxisSystems
Dim axisSystem1 As AxisSystem
Set axisSystem1 = axisSystems1.Add()
axisSystem1.OriginType = catAxisSystemOriginByPoint
axisSystem1.OriginPoint = oHybridshapePointCoord
axisSystem1.XAxisType = 0
axisSystem1.XAxisDirection = reference8
axisSystem1.YAxisType = Empty
axisSystem1.ZAxisType = Empty
Dim hybridShapeDirection10 As HybridShapeDirection
Set hybridShapeDirection10 = ????????????
Dim oReference99 As Reference
Set oReference99 = oPart.CreateReferenceFromObject(oPartDocument.Part.MainBody)
Dim hybridShapeExtremum1 As HybridShapeExtremum
Set hybridShapeExtremum1 = oHybridShapeFactory.AddNewExtremum(oReference99, hybridShapeDirection10, 1)
oHybridBody.AppendHybridShape hybridShapeExtremum1